// packageI/newGroup/contribution/contribution.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    gxz_name:'',
    contribution_today:'',
    countAmount:'',
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getindex();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current_page >= this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page : pages
      });
      this.getMore();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  tapUrl(e){
    console.log(e);
    if(e.currentTarget.dataset.url == 'pastLog'){
      wx.navigateTo({
        url: '/packageI/newGroup/pastLog/pastLog',
      });
    }else{
      wx.navigateTo({
        url: '/packageI/newGroup/groupcblog/groupcblog',
      });
    }
  },
  getData() {
    let urlStr = app.getNetAddresss(
      "plugin.zhp-group-lottery.frontend.contribution.get-reward-list"
    );
    app._postNetWork({
      url: urlStr,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          this.setData({
            info: res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
    });
  },
  getMore(){
    let that = this;
    let urlStr = app.getNetAddresss(
      "plugin.zhp-group-lottery.frontend.contribution.get-reward-list"
    );
    app._postNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          this.setData({
            info: that.data.info.concat(res.data.data),
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
    });
  },
  getindex() {
    let urlStr = app.getNetAddresss(
      "plugin.zhp-group-lottery.frontend.contribution.index"
    );
    app._postNetWork({
      url: urlStr,
      success: (resdata) => {
        var res = resdata.data;
        if (res.result == 1) {
          this.setData({
            gxz_name: res.data.gxz_name,
            contribution_today: res.data.contribution_today,
            countAmount: res.data.countAmount
          });
          wx.setNavigationBarTitle({
            title:'珍惠拼'
          });
        } else {
          wx.showToast({
            title: res.msg,
            duration: 1000,
            icon: "none",
          });
        }
      },
    });
  }
});